Bug 1964548 - Broken RPATH will fail rpmbuild
Summary: Broken RPATH will fail rpmbuild
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Cotton
QA Contact:
URL:
Whiteboard:
Depends On: 1902729
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-25 17:10 UTC by Ben Cotton
Modified: 2021-06-07 09:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-31 17:03:33 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2021-05-25 17:10:32 UTC
This is a tracking bug for Change: Broken RPATH will fail rpmbuild
For more details, see: https://fedoraproject.org/wiki/Changes/Broken_RPATH_will_fail_rpmbuild

Enable broken RPATH detection buildroot policy script by default. This will make the RPM build fail once a broken RPATH was detected within a binary or a shared library file. An opt-out mechanism will be provided as well.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Fedora Update System 2021-05-31 16:56:07 UTC
FEDORA-2021-96fc66cd16 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-96fc66cd16

Comment 2 Fedora Update System 2021-05-31 17:03:33 UTC
FEDORA-2021-96fc66cd16 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.